Bug 1261927 - Minor improvements and code cleanup for rpc
Minor improvements and code cleanup for rpc
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: rpc (Show other bugs)
mainline
All All
low Severity low
: ---
: ---
Assigned To: bugs@gluster.org
:
Depends On:
Blocks: 1331941
  Show dependency treegraph
 
Reported: 2015-09-10 08:53 EDT by Anoop C S
Modified: 2016-06-16 09:36 EDT (History)
1 user (show)

See Also:
Fixed In Version: glusterfs-3.8rc2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1331941 (view as bug list)
Environment:
Last Closed: 2016-06-16 09:36:20 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Anoop C S 2015-09-10 08:53:41 EDT
Description of problem:

Use this bug to file changes that affect source files under rpc/ directory. Real bugs (problem reports, crashes) should have their own bugzilla entry for related patches.

Acceptable changes include:
    -Improve code readability
    -Remove dead code
    -Better error reporting
    - . . .
Comment 1 Vijay Bellur 2015-09-10 08:56:23 EDT
REVIEW: http://review.gluster.org/12153 (rpc: Remove unused function) posted (#1) for review on master by Anoop C S (anoopcs@redhat.com)
Comment 2 Mike McCune 2016-03-28 18:22:31 EDT
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions
Comment 3 Vijay Bellur 2016-04-14 11:53:17 EDT
REVIEW: http://review.gluster.org/13997 (rpc: modify gf_process_reserved_ports to return void) posted (#3) for review on master by Prasanna Kumar Kalever (pkalever@redhat.com)
Comment 4 Vijay Bellur 2016-05-02 08:41:37 EDT
REVIEW: http://review.gluster.org/14150 (rpc: address double free's) posted (#1) for review on master by Prasanna Kumar Kalever (pkalever@redhat.com)
Comment 5 Niels de Vos 2016-06-16 09:36:20 EDT
This bug is getting closed because a release has been made available that should address the reported issue. In case the problem is still not fixed with glusterfs-3.8.0, please open a new bug report.

glusterfs-3.8.0 has been announced on the Gluster mailinglists [1], packages for several distributions should become available in the near future. Keep an eye on the Gluster Users mailinglist [2] and the update infrastructure for your distribution.

[1] http://blog.gluster.org/2016/06/glusterfs-3-8-released/
[2] http://thread.gmane.org/gmane.comp.file-systems.gluster.user

Note You need to log in before you can comment on or make changes to this bug.